Refresh Operator Connect integration
This endpoint will make an asynchronous request to refresh the Operator Connect integration with Microsoft Teams for the current user. This will create new external connections on the user’s account if needed, and/or report the integration results as log messages.
POST
/
operator_connect
/
actions
/
refresh
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.operatorConnect.actions.refresh();
console.log(response.message);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.operator_connect.actions.refresh()
print(response.message)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.OperatorConnect.Actions.Refresh(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Message)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.operatorconnect.actions.ActionRefreshParams;
import com.telnyx.sdk.models.operatorconnect.actions.ActionRefreshResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionRefreshResponse response = client.operatorConnect().actions().refresh();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.operator_connect.actions.refresh
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->operatorConnect->actions->refresh();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx operator-connect:actions refresh \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/operator_connect/actions/refresh \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operator connect refresh already in progress"
}{
"success": true,
"message": "Operator connect refresh started"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.operatorConnect.actions.refresh();
console.log(response.message);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.operator_connect.actions.refresh()
print(response.message)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.OperatorConnect.Actions.Refresh(context.TODO())
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Message)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.operatorconnect.actions.ActionRefreshParams;
import com.telnyx.sdk.models.operatorconnect.actions.ActionRefreshResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionRefreshResponse response = client.operatorConnect().actions().refresh();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.operator_connect.actions.refresh
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->operatorConnect->actions->refresh();
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx operator-connect:actions refresh \
--api-key 'My API Key'curl --request POST \
--url https://api.telnyx.com/v2/operator_connect/actions/refresh \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operator connect refresh already in progress"
}{
"success": true,
"message": "Operator connect refresh started"
}